# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Tue Mar 23 12:58:19 2021
# ------------------------------------------------

package:
  name: cairo
  version: 1.16.0
source:
  patches: null
  sha256: 5e7b29b3f113ef870d1e3ecf8adf21f923396401604bda16d44be45e66052331
  url: http://cairographics.org/releases/cairo-1.16.0.tar.xz
build:
  number: '1008'
  run_exports:
    - cairo >=1.16.0,<2.0a0
  string: h6cf1ce9_1008
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - autoconf 2.69 pl5320h36c2ea0_10
    - automake 1.16.2 pl5320ha770c72_3
    - binutils_impl_linux-64 2.35.1 h193b22a_2
    - binutils_linux-64 2.35 h67ddf6f_30
    - ca-certificates 2020.12.5 ha878542_0
    - gcc_impl_linux-64 9.3.0 h70c0ae5_18
    - gcc_linux-64 9.3.0 hf25ea35_30
    - kernel-headers_linux-64 2.6.32 h77966d4_13
    - ld_impl_linux-64 2.35.1 hea4e1c9_2
    - libffi 3.3 h58526e2_2
    - libgcc-devel_linux-64 9.3.0 h7864c58_18
    - libgcc-ng 9.3.0 h2828fa1_18
    - libgomp 9.3.0 h2828fa1_18
    - libstdcxx-ng 9.3.0 h6de172a_18
    - libtool 2.4.6 h58526e2_1007
    - m4 1.4.18 h516909a_1001
    - make 4.3 hd18ef5c_1
    - ncurses 6.2 h58526e2_4
    - openssl 1.1.1j h7f98852_0
    - perl 5.32.0 h36c2ea0_0
    - pkg-config 0.29.2 h36c2ea0_1008
    - pthread-stubs 0.4 h36c2ea0_1001
    - python 3.9.2 hffdb5ce_0_cpython
    - python_abi 3.9 1_cp39
    - readline 8.0 he28a2e2_2
    - sqlite 3.34.0 h74cdb3f_0
    - sysroot_linux-64 2.12 h77966d4_13
    - tk 8.6.10 h21135ba_1
    - tzdata 2021a he74cb21_0
    - xcb-proto 1.13 py39h3811e60_1006
    - xorg-renderproto 0.11.1 h7f98852_1002
    - xorg-xproto 7.0.31 h7f98852_1007
    - xz 5.2.5 h516909a_1
    - zlib 1.2.11 h516909a_1010
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2020.12.5 ha878542_0
    - fontconfig 2.13.1 hba837de_1004
    - freetype 2.10.4 h0708190_1
    - gettext 0.19.8.1 h0b5b191_1005
    - glib 2.68.0 h9c3ff4c_1
    - glib-tools 2.68.0 h9c3ff4c_1
    - icu 68.1 h58526e2_0
    - ld_impl_linux-64 2.35.1 hea4e1c9_2
    - libffi 3.3 h58526e2_2
    - libgcc-ng 9.3.0 h2828fa1_18
    - libglib 2.68.0 h3e27bee_1
    - libgomp 9.3.0 h2828fa1_18
    - libiconv 1.16 h516909a_0
    - libpng 1.6.37 h21135ba_2
    - libstdcxx-ng 9.3.0 h6de172a_18
    - libuuid 2.32.1 h7f98852_1000
    - libxcb 1.13 h7f98852_1003
    - libxml2 2.9.10 h72842e0_3
    - ncurses 6.2 h58526e2_4
    - openssl 1.1.1j h7f98852_0
    - pcre 8.44 he1b5a44_0
    - pixman 0.40.0 h36c2ea0_0
    - pthread-stubs 0.4 h36c2ea0_1001
    - python 3.9.2 hffdb5ce_0_cpython
    - readline 8.0 he28a2e2_2
    - sqlite 3.34.0 h74cdb3f_0
    - tk 8.6.10 h21135ba_1
    - tzdata 2021a he74cb21_0
    - xorg-kbproto 1.0.7 h7f98852_1002
    - xorg-libice 1.0.10 h7f98852_0
    - xorg-libsm 1.2.3 hd9c2040_1000
    - xorg-libx11 1.7.0 h7f98852_0
    - xorg-libxau 1.0.9 h7f98852_0
    - xorg-libxdmcp 1.1.3 h7f98852_0
    - xorg-libxext 1.3.4 h7f98852_1
    - xorg-libxrender 0.9.10 h7f98852_1003
    - xorg-renderproto 0.11.1 h7f98852_1002
    - xorg-xextproto 7.3.0 h7f98852_1002
    - xorg-xproto 7.0.31 h7f98852_1007
    - xz 5.2.5 h516909a_1
    - zlib 1.2.11 h516909a_1010
  run:
    - fontconfig >=2.13.1,<3.0a0
    - fontconfig >=2.13.1,<3.0a0
    - freetype >=2.10.4,<3.0a0
    - freetype >=2.10.4,<3.0a0
    - icu >=68.1,<69.0a0
    - libgcc-ng >=9.3.0
    - libglib >=2.68.0,<3.0a0
    - libpng >=1.6.37,<1.7.0a0
    - libpng >=1.6.37,<1.7.0a0
    - libxcb
    - pixman >=0.40.0,<1.0a0
    - xorg-libice
    - xorg-libsm
    - xorg-libx11
    - xorg-libxext
    - xorg-libxrender
    - zlib >=1.2.11,<1.3.0a0
    - zlib >=1.2.11,<1.3.0a0
test:
  commands:
    - cairo-trace --help
    - test -f $PREFIX/lib/libcairo.a
    - test -f $PREFIX/lib/libcairo.so
    - test -f $PREFIX/lib/libcairo-gobject.a
    - test -f $PREFIX/lib/libcairo-gobject.so
    - test -f $PREFIX/lib/libcairo-script-interpreter.a
    - test -f $PREFIX/lib/libcairo-script-interpreter.so
    - test -f $PREFIX/lib/pkgconfig/cairo-xlib.pc
    - test -f $PREFIX/include/cairo/cairo.h
    - grep -q "CAIRO_HAS_FC_FONT 1" $PREFIX/include/cairo/cairo-features.h
about:
  dev_url: https://gitlab.freedesktop.org/cairo/cairo
  doc_url: https://www.cairographics.org/documentation/
  home: http://cairographics.org/
  license: LGPL 2.1 or MPL 1.1
  license_file: COPYING
  summary: Cairo is a 2D graphics library with support for multiple output devices.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - ccordoba12
    - jakirkham
    - ocefpaf
    - pkgw
    - tschoonj
